## Apache Zeta Components Manual :: Docs For Class ezcSearchHandler

### Search::ezcSearchHandler

### Interface ezcSearchHandler

Defines interface for all the search backend implementations.

Source for this file: /Search/src/interfaces/handler.php

Version: | //autogentag//

### Method Summary

public ezcSearchFindQuery | `createFindQuery( $type , $definition )` Creates a search query object with the fields from the definition filled in.
public ezcSearchResult | `find( $query )` Builds the search query and returns the parsed response
public void | `findById( $id , $definition )` Finds a document by the document's $id

### Methods

#### createFindQuery

ezcSearchFindQuery createFindQuery( string $type , ezcSearchDocumentDefinition $definition )

Creates a search query object with the fields from the definition filled in.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$definition` | ezcSearchDocumentDefinition |

#### find

ezcSearchResult find( ezcSearchFindQuery $query )

Builds the search query and returns the parsed response

##### Parameters:

Name | Type | Description
--- | --- | ---
`$query` | ezcSearchFindQuery |

#### findById

void findById( mixed $id , ezcSearchDocumentDefinition $definition )

Finds a document by the document's $id

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | mixed |
`$definition` | ezcSearchDocumentDefinition |

Documentation generated by phpDocumentor 1.4.3